/*=======================
      General styles
=======================*/
html {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
*,
*::after,
*::before {
  box-sizing: inherit;
}
.container {
  padding: 40px 10px;
}
h1::selection,
h2::selection,
h3::selection,
p::selection,
span::selection,
a::selection {
  background-color: #000;
  color: #fff;
}
footer h3::selection,
footer p::selection,
footer a::selection,
.request-quote h2::selection,
.request-quote p::selection,
.request-quote a::selection {
  color: #000;
  background-color: #fff;
}
h1,
h2,
h3 {
  font-family: "Times New Roman", Times, serif;
  text-transform: capitalize;
}
h2 {
  font-size: 2em;
  padding: 20px 0;
}
.btn {
  margin: 1rem 0.5rem 0 0;
}
/*===========
    Nav
============*/
nav {
  background-color: #8ac926;
  color: #fff;
}
nav span.bars {
  font-size: 2em;
  padding: 20px;
  cursor: pointer;
}

/*===========
    Header
============*/
.company-name a {
  color: #fff;
}
header {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../img/header.jpg) center center/cover;
  color: #fff;
  height: 40vh;
}
header.main {
  height: fit-content;
  padding: 40px 0;
}
.company-name {
  font-size: 2em;
  font-weight: 600;
  font-family: "Times New Roman", Times, serif;
  text-align: center;
}
.header-box {
  padding: 50px 0;
}
.header-box span {
  display: block;
  font-size: smaller;
}
/*  services_section
------------------------*/
.services_section .carousel-item {
  height: 450px;
}

.services_section .carousel-caption h3 {
  background-color: rgba(39, 39, 41, 0.8);
  color: rgb(255, 255, 255);

  display: inline-block;
  text-transform: capitalize;
  padding: 10px 20px;
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.carousel-item.airport {
  background: url(../img/services/airport.jpg) center center/cover;
}

.carousel-item.business {
  background: url(../img/services/business.jpg) top center/cover;
}

.carousel-item.prom {
  background: url(../img/services/prom.jpg) center center/cover;
}

.carousel-item.wedding {
  background: url(../img/services/wedding.jpg) center center/cover;
}

.carousel-item.shuttle {
  background: url(../img/services/shuttle.jpg) center center/cover;
}

.carousel-item.outlet {
  background: url(../img/services/outlets.jpg) top center/cover;
}

.carousel-item.casino {
  background: url(../img/services/casino.jpg) center center/cover;
}

.carousel-item.concert {
  background: url(../img/services/concert.jpg) bottom center/cover;
}

.carousel-item.bachelorette {
  background: url(../img/services/bachelorette.jpg) center center/cover;
}

.carousel-item.quinceanera {
  background: url(../img/services/quin.jpg) 50% 30% / cover;
}

.carousel-item.cruise {
  background: url(../img/services/cruise.jpg) center center/cover;
}

.carousel-item.birthday {
  background: url(../img/services/birthday.jpg) bottom center/cover;
}
/*===============
    invitation
===============*/
.invitation {
  text-align: left;
  padding: 50px 0;
}
.invitation span {
  font-size: 3em;
  color: #8ac926;
}
.invitation cite {
  color: #a3b18a;
}
.invitation p:first-of-type {
  font-size: 1.5em;
}

/*===================
    why_us
===================*/
.why_us {
  padding: 100px 0;
  background-color: #a3b18a;
}
.why_us h2 {
  margin-bottom: 30px;
  color: #fff;
}
.why_us h3 {
  color: #8ac926;
}
/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: "";
  position: absolute;
  width: 6px;
  background-color: white;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.content_container {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* The circles on the timeline */
.content_container::after {
  content: "";
  position: absolute;
  width: 25px;
  height: 25px;
  right: -12px;
  background-color: white;
  border: 4px solid #8ac926;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -12px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media (max-width: 600px) {
  /* Place the timelime to the left */
  .timeline::after {
    left: 31px;
  }

  /* Full-width containers */
  .content_container {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
  }

  /* Make sure that all arrows are pointing leftwards */
  .content_container::before {
    left: 60px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .left::after,
  .right::after {
    left: 15px;
  }

  /* Make all right containers behave like the left ones */
  .right {
    left: 0%;
  }
}

/*===================
    request-quote
===================*/
.request-quote {
  text-align: center;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(../img/qq.jpg) fixed center center/cover;
  color: #fff;
  height: 300px;
}
/*=====================
    fleet-category
======================*/
.fleet_section {
  background-color: #fff;
}
.fleet_section h3 {
  font-size: 1.5rem;
}
.fleet_section h2 {
  font-size: 2.5rem;
  font-weight: 900;
}
.fleet_section i {
  color: #a3b18a;
}
.fleet_section figure img {
  width: 100%;
}

.fleet_section figcaption {
  padding-top: 10px;
  padding-bottom: 10px;
}

.fleet_section figcaption h3 {
  font-size: 1.3em;
}

.fleet_section figcaption ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

/*===========
    footer
============*/
footer {
  background-color: #8ac926;
  color: #f6f6f6;
}
.upper-footer {
  margin: 20px 0 50px;
}
.foot {
  margin-top: 30px;
}
footer h3 {
  color: #fff;
  font-size: 2rem;
  font-weight: bold;
}
footer a {
  color: #f6f6f6;
}
footer a:hover {
  color: #fff;
}
footer ul {
  padding: 0;
  margin: 0;
  list-style: none;
}
footer i {
  font-size: 1.5em;
  padding-right: 5px;
}
footer .copy-footer {
  background-color: rgb(19, 19, 19);
  text-align: center;
}
footer .copy-footer .container {
  padding: 10px 0;
}

/*==========================
    Quote & Reservation
===========================*/
header.quote-page {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../img/quote.jpg) center center/cover;
}
header.reservation-page {
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../img/reservation.jpg) top center/cover;
}
/*=======================
    Contact us page
========================*/
.contact-page-header {
  background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url(../img/message.jpg) top center/cover;
}
.contact-intro-box a {
  color: #8ac926;
}
/*=======================
    Fleet page
========================*/
.fleet-page-header {
  background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url(../img/fleet-cars.jpg) top center/cover;
}

/*Response page
------------------*/
section.response {
  text-align: center;
  padding: 60px 0;
}
